### Class

# EBackend FileCache

#### Description [src]

    class EBackend.FileCache : GObject.Object
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_file_cache_new

Creates a new `EFileCache` object, which implements a cache of objects. Useful for remote backends.

#### Instance methods

###### e_file_cache_add_object

Adds a new `key` / `value` entry to `cache`. If an object corresponding to `key` already exists in `cache`, the function returns `FALSE`.

###### e_file_cache_clean

Clean up the cache’s contents.

###### e_file_cache_freeze_changes

Disables temporarily all writes to disk for `cache`.

###### e_file_cache_get_filename

Gets the name of the file where the cache is being stored.

###### e_file_cache_get_keys

Returns a list of keys in `cache`. The keys are owned by `cache` and must not be modified or freed. Free the returned list with g_slist_free().

###### e_file_cache_get_object

Returns the object corresponding to `key`. If no such object exists in `cache`, the function returns `NULL`.

###### e_file_cache_get_objects

Returns a list of objects in `cache`. The objects are owned by `cache` and must not be modified or freed. Free the returned list with g_slist_free().

###### e_file_cache_remove

Remove the cache from disk.

###### e_file_cache_remove_object

Removes the object corresponding to `key` from `cache`. If no such object exists in `cache`, the function returns `FALSE`.

###### e_file_cache_replace_object

Replaces the object corresponding to `key` with `new_value`. If no such object exists in `cache`, the function returns `FALSE`.

###### e_file_cache_thaw_changes

Reverts the affects of e_file_cache_freeze_changes(). Each change to `cache` is once again written to disk.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EBackend.FileCache:filename

The filename of the cache.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EBackendFileCacheClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.